#
# spec file for package tokei
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tokei
Version:        13.0.0.alpha.0+git14
Release:        2.3
Summary:        Code statistics commandline tool
License:        (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND (MIT OR Unlicense) AND (Apache-2.0 OR Zlib OR MIT) AND BSD-3-Clause AND MIT AND MPL-2.0 AND (Apache-2.0 OR MIT)
URL:            https://github.com/XAMPPRocky/tokei
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging
ExclusiveArch:  %{rust_tier1_arches}

%description
Shows the number of files, total lines within those files and code, comments and blanks grouped by language.

%prep
%autosetup -a1
mkdir .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%files
%{_bindir}/tokei
%license LICENCE-APACHE LICENCE-MIT
%doc README.md CHANGELOG.md tokei.example.toml

%changelog
* Sun Aug 13 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Replace obsoleted `disabled` option with `manual`
* Mon Jun 26 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Manually vendor dependencies.
  * Add vendor.tar.zst
- Update service file.
* Mon Jun 26 2023 socvirnyl.estela@gmail.com
- Update to version 13.0.0.alpha.0+git14:
  * add --languages ouput formatter
  * Add Nuget Config, Bazel and EdgeQL Support, Fix Output Formatter
  * show nushell in the readme
  * Add support for Redscript
  * Add support for jq
  * Add support for Astro
  * Use XDG conventions on macOS too
  * Add JSON5 support for languages.json
  * Delete Smalltalk.cs.st
  * Add support for smalltalk
  * Disable *-android
  * Add HiCAD to languages.json
  * Add Nushell to languages.json
  * Disable aarch64-linux-android
  * Add language support for SQF
  * Fix link to speed comparison in README.md
  * Add Hy support
* Sat Nov 12 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Automatic update of vendored dependencies
* Wed Sep 21 2022 socvirnyl.estela@gmail.com
- Update to version 12.1.2+git106:
  * fix issue944 (#945)
* Mon Jun 20 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Tue Apr  5 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Mon Mar 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update `files` section:
  * fix spelling of LICENSE to LICENCE
  * Remove docs → directory does not exist
* Mon Mar 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update LICENSE string
* Mon Mar 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial working spec for tokei (12.1.2)
